Package com.treemap.swing.voronoi.debug

# Class Debugger

java.lang.Object
com.treemap.swing.voronoi.debug.Debugger

public class Debugger extends Object
Just a singleton style debugger object for everything.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `Debugger.DataEntry`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(Debugger.DataEntry dataEntry, boolean printInfos)`
  `void`
  `addError(double errorAbsolute)`
  `void`
  `clearErrorValues()`
  `static void`
  `draw(VoronoiOutputRaster voronoiOutput, String str1, Color color1, String str2, Color color2, String str3, Color color3, File file)`
  `void`
  `exportTimeDataToCsv(String path)`
  `MutableTreeMapNode`
  `getInterrestingChild()`
  `double`
  `getMaxError()`
  `VoronoiCell`
  `getMaxErrorCell()`
  `double`
  `getRms()`
  `int`
  `getZeroAreaCellsCount()`
  `void`
  `incZeroAreaCellsCount()`
  `static Debugger`
  `instance()`
  `VoronoiOutputRaster`
  `load(String dirPath, String name, VoronoiCell[] cells)`
  `void`
  `print()`
  `void`
  `printErrors()`
  `void`
  `save(VoronoiOutputRaster raster, String dirPath, String name, VoronoiCell[] cells)`
  `void`
  `setActualPixelCells(int actualPixelCells)`
  `void`
  `setEstimatedPixelXells(int estimatedPixelXells)`
  `void`
  `setInterrestingChild(MutableTreeMapNode interrestingChild)`
  `void`
  `setMaxErrorCell(VoronoiCell maxErrorCell)`
  `void`
  `setTotalAlgorithmDuration(double totalAlgorithmDuration)`
  `void`
  `setZeroAreaCellsCount(int zeroAreaCellsCount)`
  `static void`
  `showCellOutlines(List<Vertex> vertexes, VoronoiCell[] cells, MutableTreeMapNode parent, boolean drawCellNames, String fillName)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### instance

    public static Debugger instance()

  - ### setEstimatedPixelXells

    public void setEstimatedPixelXells(int estimatedPixelXells)

  - ### setActualPixelCells

    public void setActualPixelCells(int actualPixelCells)

  - ### print

    public void print()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### add

    public void add(Debugger.DataEntry dataEntry, boolean printInfos)

  - ### setTotalAlgorithmDuration

    public void setTotalAlgorithmDuration(double totalAlgorithmDuration)

  - ### exportTimeDataToCsv

    public void exportTimeDataToCsv(String path)

  - ### setZeroAreaCellsCount

    public void setZeroAreaCellsCount(int zeroAreaCellsCount)

  - ### incZeroAreaCellsCount

    public void incZeroAreaCellsCount()

  - ### getZeroAreaCellsCount

    public int getZeroAreaCellsCount()

  - ### addError

    public void addError(double errorAbsolute)

  - ### printErrors

    public void printErrors()

  - ### getRms

    public double getRms()

  - ### clearErrorValues

    public void clearErrorValues()

  - ### getMaxError

    public double getMaxError()

  - ### setMaxErrorCell

    public void setMaxErrorCell(VoronoiCell maxErrorCell)

  - ### getMaxErrorCell

    public VoronoiCell getMaxErrorCell()

  - ### showCellOutlines

    public static void showCellOutlines(List<Vertex> vertexes, VoronoiCell[] cells, MutableTreeMapNode parent, boolean drawCellNames, String fillName)

  - ### setInterrestingChild

    public void setInterrestingChild(MutableTreeMapNode interrestingChild)

  - ### getInterrestingChild

    public MutableTreeMapNode getInterrestingChild()

  - ### draw

    public static void draw(VoronoiOutputRaster voronoiOutput, String str1, Color color1, String str2, Color color2, String str3, Color color3, File file)

  - ### save

    public void save(VoronoiOutputRaster raster, String dirPath, String name, VoronoiCell[] cells)

  - ### load

    public VoronoiOutputRaster load(String dirPath, String name, VoronoiCell[] cells)